Skip to main content
Bright Data offer a fast SERP service, for selected enterprise customers only. This SERP service responds with a compact json, to power real time application in need of search results. To gain access to this service, please contact your Bright Data account manger.

Fast SERP Request

Fast SERP works best with Native Proxy interface. If from some reason you need REST API interface, one can be provided too.

Native proxy request

With google’s “top stories”

This example shows use of header value: x-unblock-data-format: parsed_light - this request header will return google’s “Top stories” in response.
curl -i --proxy fserp.brd.superproxy.io:33335 --proxy-user brd-customer-hl_xxxxxxx-zone-SERP:PASSWORD -k "https://www.google.com/search?q=pizza&brd_json=1" -H 'x-unblock-data-format: parsed_light' > output.json
Response schema: https://api.brightdata.com/data_schemas/fast_serp/google_search.schema.json

Without google’s “top stories”

This example shows use of header value: x-unblock-data-format: parsed_fast - this request header will not return google’s “Top stories” in response, but more organic results:
curl -i --proxy fserp.brd.superproxy.io:33335 --proxy-user brd-customer-hl_xxxxxxx-zone-SERP:PASSWORD -k "https://www.google.com/search?q=pizza&brd_json=1" -H 'x-unblock-data-format: parsed_fast' > output.json
Response schema: https://api.brightdata.com/data_schemas/fast_serp/google_search_web.schema.json